libmain.cpp, plugins/: update to GPLv3